SweeperServiceImpl (gCube Resource Sweeper Widget 2.0.0-3.3.0 API)
Date: 2014-07-19

org.gcube.portlets.admin.resourcesweeper.server

## Class SweeperServiceImpl

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet
      - - com.google.gwt.user.server.rpc.RemoteServiceServlet
        - - org.gcube.portlets.admin.resourcesweeper.server.SweeperServiceImpl

- All Implemented Interfaces:
    com.google.gwt.user.client.rpc.RemoteService, com.google.gwt.user.server.rpc.SerializationPolicyProvider, Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig, SweeperService

      public class SweeperServiceImpl
      extends com.google.gwt.user.server.rpc.RemoteServiceServlet
      implements SweeperService

  The server side implementation of the RPC service.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet

      `perThreadRequest, perThreadResponse`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SweeperServiceImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Boolean` | `applySweep(String scope, List<com.extjs.gxt.ui.client.data.ModelData> selectedElems)`
    `List<String>` | `getSweepElems(String scope, SweeperActions action)`
    `static String` | `XML2HTML(String xml, String xslt)`

    - ### Methods inherited from class com.google.gwt.user.server.rpc.RemoteServiceServlet

      `checkPermutationStrongName, doGetSerializationPolicy, getSerializationPolicy, onAfterResponseSerialized, onBeforeRequestDeserialized, processCall, processPost, shouldCompressResponse`

    - ### Methods inherited from class com.google.gwt.user.server.rpc.AbstractRemoteServiceServlet

      `doPost, doUnexpectedFailure, getPermutationStrongName, getThreadLocalRequest, getThreadLocalResponse, onAfterRequestDeserialized, readContent`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SweeperServiceImpl

          public SweeperServiceImpl()

  - ### Method Detail

    - #### getSweepElems

          public List<String> getSweepElems(String scope,
                                   SweeperActions action)

      Specified by:
        `getSweepElems` in interface `SweeperService`

    - #### applySweep

          public Boolean applySweep(String scope,
                           List<com.extjs.gxt.ui.client.data.ModelData> selectedElems)

      Specified by:
        `applySweep` in interface `SweeperService`

    - #### XML2HTML

          public static String XML2HTML(String xml,
                        String xslt)
                                 throws Exception

      Parameters:
        `xml` -
        `xslt` -
      Returns:
        the html string
      Throws:
        `Exception`

Copyright © 2014. All Rights Reserved.